Subject: bug#52896: 29.0.50; transient-mark-mode is set to a lot of 'only syms

From: Andrey Listopadov <[email-masked]>
Date: Thu, 30 Dec 2021 23:40:25 +0300

So, to be clear, the issue is that `C-SPC C-SPC' doesn't enable region
highlighting, preventing from running functions that operate on the
active region.
Full reproduction steps for `emacs -Q' once again:

1. M-x transient-mark-mode RET - turn tmm off;
2. S-right - select the default text in the *scratch* buffer;
3. `C-x C-x`, `C-x C-x`, `C-x C-x`, `C-x C-x`, `C-x C-x`, `C-x C-x` -
this would cons some `only' symbols to the list;
4. `C-g' - remove the region highlighting, this removes one `only'
from the list;
5. `C-SPC C-SPC' - displays a message "mark set" and then "mark
activated",  but no highlighting happens, because of remaining `only'
in the list.

Only after *enough* `C-SPC C-SPC' or other commands, the region
highlighting begins to work again.